gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. To be added To be added Gnome.CanvasItem GLib.IWrapper System.IDisposable
- Method
  System.Void Paste the contents of the clipboard into the text buffer at the current cursor location. To be added
- Method
  System.Void Cut the selected text. This method copies the highlighted text from the into the clipboard.

  If none of the text is selected, the contents of the clipboard are still set to the null string.

- Method
  System.Void Copy the selected text. This method copies the highlighted text from the into the clipboard.

  If nothing is highlighted in the text, the contents of the clipboard are still replaced with the null string.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CanvasRichText, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Add a new RichTextItem to the given .
  To be added: an object of type 'Gnome.CanvasGroup'
  To be added: an object of type 'Gnome.CanvasRichText'
  To be added
- Property
  Gtk.TextBuffer The that is displayed on the . To be added: an object of type 'Gtk.TextBuffer' To be added: an object of type 'Gtk.TextBuffer' To be added
- Property
  System.Boolean Whether the cursor is visible or not. To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean Whether the item is visible or not. To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean Whether the box height should grow if the text does not fit. To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Double The height of the text box. To be added: an object of type 'double' To be added: an object of type 'double' To be added
- Property
  Gtk.WrapMode How the text in the widget should wrap. To be added: an object of type 'Gtk.WrapMode' To be added: an object of type 'Gtk.WrapMode' To be added
- Property
  Gtk.AnchorType Anchor point for text. To be added: an object of type 'Gtk.AnchorType' To be added: an object of type 'Gtk.AnchorType' To be added
- Property
  System.Int32 The number of pixels in the left margin. To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Double The width of the text box. To be added: an object of type 'double' To be added: an object of type 'double' To be added
- Property
  System.String The text to be displayed. To be added: an object of type 'string' To be added: an object of type 'string' To be added
- Property
  Gtk.DirectionType The direction for the text. To be added: an object of type 'Gtk.DirectionType' To be added: an object of type 'Gtk.DirectionType' To be added
- Property
  System.Int32 The number of pixels above each line. To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Double The Y position. To be added: an object of type 'double' To be added: an object of type 'double' To be added
- Property
  System.Double The X position. To be added: an object of type 'double' To be added: an object of type 'double' To be added
- Property
  Gtk.Justification The justification for the text. To be added: an object of type 'Gtk.Justification' To be added: an object of type 'Gtk.Justification' To be added
- Property
  System.Int32 The number of pixels to indent. To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Boolean Whether the text is editable or not. To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Int32 The number of pixels in the right margin. To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Boolean Whether the cursor blinks or not. To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Int32 The number of pixels below each line. To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Int32 The number of pixels inside the wrap. To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  Gdk.Rectangle `` To be added a a To be added
- Method
  Gtk.TextIter `` `` To be added a a a To be added
- Constructor
  To be added
  a
  To be added